Docs Autonomy
Référence APIRuns

List runs

Lists recent runs for the authenticated team.

GET
/api/runs

Lists recent runs for the authenticated team.

Authorization

bearerAuth
AuthorizationBearer <token>

Send Authorization: Bearer . The token can be an Autonomy organization API key (aut_xxx) or an OAuth access token.

In: header

Query Parameters

limit?integer

Maximum number of records to return.

Default20
Range1 <= value <= 100
offset?integer

Number of records to skip.

Default0
Range0 <= value
status?string

Filter runs by status.

Value in"queued" | "running" | "retrying" | "passing" | "failed"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/runs"
[
  {
    "_id": "string",
    "testPlanId": "string",
    "status": "queued",
    "platforms": [
      "web"
    ],
    "trigger": {},
    "logs": [
      {
        "stepIndex": 0,
        "action": "string",
        "target": "string",
        "status": "string",
        "platform": "web",
        "error": "string",
        "durationMs": 0,
        "timestamp": 0
      }
    ]
  }
]
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}